package de.dhbwka.java.exercise.datatypes;

class Round {
    public static void main(String[] args) {
        double pi = 3.1415926;
        double e = 2.7182818;

        int piInt = Round.round(pi);
        int eInt = Round.round(e);

        System.out.println("Pi: " + pi + " gerundet: " + piInt);
        System.out.println("e: " + e + " gerundet: " + eInt);

        int negativePiInt = Round.round(-pi);
        int negativeEInt = Round.round(-e);

        System.out.println("Pi: " + -pi + " gerundet: " + negativePiInt);
        System.out.println("e: " + -e + " gerundet: " + negativeEInt);
    }

    private static int round(double number) {
        return (int) (number % 1 >= 0.5 ? number + 1 : number % 1 <= -0.5 ? number - 1 : number);
    }
}
