package de.dhbwka.java.exercise.arrays;

public class Eratostenes {
  private static final int NUM = 1000;

  public static void main(String[] args) {
    // List<Integer> sieve = new java.util.ArrayList<>();
    // List<Integer> primes = new java.util.ArrayList<>();

    // for (int i = 2; i <= NUM; i++) {
    // sieve.add(i);
    // }

    // while (!sieve.isEmpty()) {
    // int prime = sieve.get(0);
    // primes.add(prime);
    // sieve.removeIf(i -> i % prime == 0);
    // }

    // System.out.println(primes);

    boolean[] sieve = new boolean[NUM + 1];
    for (int i = 2; i < sieve.length; i++) {
      sieve[i] = true;
    }
    boolean[] primes = new boolean[NUM + 1];

    while (true) {
      int prime = -1;
      for (int i = 2; i < sieve.length; i++) {
        if (sieve[i]) {
          prime = i;
          break;
        }
      }

      if (prime == -1) {
        break;
      }

      primes[prime] = true;

      for (int i = prime; i < sieve.length; i += prime) {
        sieve[i] = false;
      }
    }

    for (int i = 2; i < primes.length; i++) {
      if (primes[i]) {
        System.out.println(i);
      }
    }
  }
}
