package de.dhbwka.java.exercise.arrays;

public class Pascal {
  private static final int SIZE = 9;

  public static void main(String[] args) {
    int[][] pascal = new int[SIZE][];
    for (int i = 0; i < SIZE; i++) {
      pascal[i] = new int[i + 1];
      pascal[i][0] = 1;
      pascal[i][i] = 1;
      for (int j = 1; j < i; j++) {
        pascal[i][j] = pascal[i - 1][j - 1] + pascal[i - 1][j];
      }
    }

    for (int i = 0; i < SIZE; i++) {
      for (int j = 0; j < SIZE - i; j++) {
        System.out.print("   ");
      }
      for (int j = 0; j < pascal[i].length; j++) {
        System.out.printf("%6d", pascal[i][j]);
      }
      System.out.println();
    }
  }
}
