package de.dhbwka.java.exercise.arrays;

import java.util.Arrays;

public class StandardDeviation {
  private static double stdDev(int[] arr) {
    return Math.sqrt(Arrays.stream(arr).mapToDouble(i -> Math.pow(i - average(arr), 2)).sum() / (arr.length - 1));
  }

  private static double average(int[] arr) {
    return Arrays.stream(arr).sum() / arr.length;
  }

  public static void main(String[] args) {
    int[] arr = new int[100];
    for (int i = 0; i < arr.length; i++) {
      arr[i] = (int) (Math.random() * 100);
    }
    System.out.println("Standardabweichung: " + stdDev(arr));
    System.out.println("Mittelwert: " + average(arr));
  }
}
