package de.dhbwka.java.exercise.classes;

public class PolynomialTest {
  public static void main(String[] args) {
    Polynomial p1 = new Polynomial(new double[] { 1, 2, 3 });
    Polynomial p2 = new Polynomial(new double[] { 0, -3, 4 });

    Polynomial p3 = p1.add(p2);

    System.out.println(p1 + " + " + p2 + " = " + p3);

    Polynomial p4 = p1.scalarMul(2);

    System.out.println(p1 + " * 2 = " + p4);

    System.out.println(p1 + " evaluated at x=2: " + p1.evaluate(2));
    System.out.println(p2 + " evaluated at x=2: " + p2.evaluate(2));
    System.out.println(p3 + " evaluated at x=2: " + p3.evaluate(2));
    System.out.println(p4 + " evaluated at x=2: " + p4.evaluate(2));

    double[] roots = p2.findRoots();
    System.out.println("Root: " + roots[0]);
  }
}
