package de.dhbwka.java.exercise.collections;

import java.util.HashSet;
import java.util.Set;

public class Lottery {
  Set<Integer> lotteryNumbers = new HashSet<>();
  Integer zusatzZahl;

  public Lottery() {
    while (lotteryNumbers.size() < 7) {
      int number = (int) (Math.random() * 49) + 1;
      zusatzZahl = number;
      lotteryNumbers.add(number);
    }
    lotteryNumbers.remove(zusatzZahl);

    String[] lotteryNumbersArray = lotteryNumbers.stream()
        .sorted()
        .map(String::valueOf)
        .toArray(String[]::new);

    System.out.println("Die Lottozahlen sind: " + String.join(", ", lotteryNumbersArray));
    System.out.println("Die Zusatzzahl ist: " + zusatzZahl);
  }

  public static void main(String[] args) {
    new Lottery();
  }
}
