package de.dhbwka.java.exercise.strings;

public class RomanNumber {
  public static int romanToInt(String roman) {
    roman = roman.replaceAll("IV", "IIII").replaceAll("IX", "VIIII").replaceAll("XL", "XXXX").replaceAll("XC", "LXXXX")
        .replaceAll("CD", "CCCC").replaceAll("CM", "DCCCC");

    int sum = 0;
    for (int i = 0; i < roman.length(); i++) {
      char c = roman.charAt(i);
      switch (c) {
        case 'I':
          sum += 1;
          break;
        case 'V':
          sum += 5;
          break;
        case 'X':
          sum += 10;
          break;
        case 'L':
          sum += 50;
          break;
        case 'C':
          sum += 100;
          break;
        case 'D':
          sum += 500;
          break;
        case 'M':
          sum += 1000;
          break;
      }
    }
    return sum;
  }

  public static void main(String[] args) {
    System.out.println(romanToInt("I"));
    System.out.println(romanToInt("II"));
    System.out.println(romanToInt("III"));
    System.out.println(romanToInt("IV"));
    System.out.println(romanToInt("V"));
    System.out.println(romanToInt("VI"));
    System.out.println(romanToInt("MCMXCIV"));
    System.out.println(romanToInt("MMXXI"));
  }
}
