package de.dhbwka.java.exercise.ui;

import javax.swing.*;

public class ComponentFrame extends JFrame {
  public static void main(String[] args) {
    new ComponentFrame();
  }

  public ComponentFrame() {
    this.setTitle("Title");
    this.setSize(600, 200);
    this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    JTabbedPane tabbedPane = new JTabbedPane();

    JPanel panel1 = new JPanel();
    panel1.add(new JLabel("Label"));
    panel1.add(new JTextField("TextField", 15));
    panel1.add(new JPasswordField("Password", 15));
    panel1.add(new JButton("Btn"));
    panel1.add(new JToggleButton("Toggle"));
    panel1.add(new JCheckBox("Box"));
    panel1.add(new JComboBox<String>(new String[] { "Item 1", "Item 2", "Item 3" }));
    JRadioButton radioButton1 = new JRadioButton("Radio 1");
    panel1.add(radioButton1);
    JRadioButton radioButton2 = new JRadioButton("Radio 2");
    panel1.add(radioButton2);
    JRadioButton radioButton3 = new JRadioButton("Radio 3");
    panel1.add(radioButton3);
    ButtonGroup group = new ButtonGroup();
    group.add(radioButton1);
    group.add(radioButton2);
    group.add(radioButton3);
    panel1.add(new JTextArea("TextArea", 5, 20));
    tabbedPane.addTab("Tab 1", panel1);

    JPanel panel2 = new JPanel();
    panel2.add(new JLabel("Label 2"));
    panel2.add(new JColorChooser());
    panel2.add(new JSpinner());
    panel2.add(new JSlider());
    panel2.add(new JProgressBar());
    panel2.add(new JList<String>(new String[] { "List 1", "List 2", "List 3" }));
    tabbedPane.addTab("Tab 2", panel2);

    this.add(tabbedPane);
    this.pack();
    this.setLocationRelativeTo(null);
    this.setVisible(true);
  }
}
